Current session
curl --request GET \
--url https://app.ontime.hosai.app/api/auth/me \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.ontime.hosai.app/api/auth/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.ontime.hosai.app/api/auth/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"fullName": "<string>",
"platformRole": "SuperAdmin"
},
"memberships": [
{
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orgName": "<string>",
"employeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"roleName": "<string>"
}
],
"active": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"fullName": "<string>",
"email": "jsmith@example.com",
"mobile": "<string>",
"designation": "<string>",
"departmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"managerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"shiftTemplateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"joinedDate": "<string>",
"exitDate": "<string>",
"roleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"preferredName": "<string>",
"dob": "<string>",
"personalEmail": "<string>",
"personalPhone": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"pincode": "<string>",
"emergencyName": "<string>",
"emergencyRelationship": "<string>",
"emergencyPhone": "<string>",
"subDepartment": "<string>",
"grade": "<string>",
"probationEndDate": "<string>",
"branch": "<string>",
"tags": [
"<string>"
],
"bankName": "<string>",
"bankAccountHolder": "<string>",
"permissions": [],
"role": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"orgName": "<string>",
"pan": "<string>",
"aadhaarLast4": "<string>",
"pfUan": "<string>",
"esiNumber": "<string>",
"ctcAnnual": 0,
"bankAccountNumber": "<string>",
"ifsc": "<string>"
}
}Auth
Current session
Current session
GET
/
api
/
auth
/
me
Current session
Authorizations
Issue keys in Settings → API. Send them as Authorization: Bearer ont_… (an X-Api-Key: ont_… header is also accepted). Session-cookie routes are used by the OnTime web apps and are shown for completeness.
⌘I